getting an error with the latest version

updated the plugin to the latest version then went and edited the üplugin again as it has its config inside the file.

getting 500 server error, log file says:

[Wed Apr 27 21:13:34 2011] [warn] [client 89.204.138.229] mod_fcgid: stderr: PHP Fatal error: Call to undefined function upgrades_register_feature() in /var/www/clients/clientxx/webxx/web/wp-content/plugins/forums/forums-framework.php on line 67, referer: http://zice.ro/wp-admin/options-general.php?page=MyFtp&dir=/var/www/clients/clientxx/webxx/web/wp-content/plugins/forums

took out the ption to allow upgrades via supporter all is good again.
what am I missing here?